<?php


defined('_JEXEC') or die;

use Joomla\CMS\Application\SiteApplication;  
use Joomla\CMS\Date\Date;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Uri\Uri;
use Joomla\Registry\Registry;

use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarHelper; 

class PlgSystemJshopping_Stat extends CMSPlugin
{
	/**
	 * Affects constructor behavior. If true, language files will be loaded automatically.
	 *
	 * @var  boolean
	 *
	 * @since  0.0.2
	 */
	protected $autoloadLanguage = true;

    public function onBeforeDisplayHomePanel()
	{
		$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
		$wa->registerAndUseStyle('dark', 'plugins/system/jshopping_stat/assets/style.css');
		$wa->registerAndUseScript('dark', '//cdn.jsdelivr.net/npm/chart.js');
		
        $html = '<div class="row">';
        $html .= '<div class="col-8 "><div class=" card mb-3 "> <div><canvas id="myChart"></canvas></div> </div></div>';
        $html .= '<div class="col-4 "><div class=" card mb-3 "><div><canvas id="myChart2"></canvas></div></div></div>';
        $html .= '</div>';

        echo $html;
include('assets/mainstat.php');		
    }

	public function onAfterInitialise() {

			$uri = Uri::getInstance();
			$url = $uri->toString();
			$arr = $uri->getQuery(true);
			$jshopping = $arr['option'];
			if ($jshopping === "com_jshopping") {
					$toolbar = Toolbar::getInstance('toolbar');
					$toolbar->appendButton( 'Link', 'icon-asterisk', 'PLG_SYSTEM_JSHOPPING_STATISTIC', 'index.php?option=com_jshopping','' );

			}
			
	}

}